diff --git a/sys/contrib/dev/acpica/source/include/aclocal.h b/sys/contrib/dev/acpica/source/include/aclocal.h
index 8f02f60..3234066 100644
--- a/sys/contrib/dev/acpica/source/include/aclocal.h
+++ b/sys/contrib/dev/acpica/source/include/aclocal.h
@@ -45,6 +45,8 @@
 #define __ACLOCAL_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /* acpisrc:StructDefs -- for acpisrc conversion */
 
 #define ACPI_SERIALIZED                 0xFF
@@ -1349,4 +1351,6 @@ typedef struct ah_predefined_name
 
 } AH_PREDEFINED_NAME;
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACLOCAL_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acmacros.h b/sys/contrib/dev/acpica/source/include/acmacros.h
index 19a3e8e..1212d05 100644
--- a/sys/contrib/dev/acpica/source/include/acmacros.h
+++ b/sys/contrib/dev/acpica/source/include/acmacros.h
@@ -45,6 +45,8 @@
 #define __ACMACROS_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * Extract data using a pointer. Any more than a byte and we
  * get into potential aligment issues -- see the STORE macros below.
@@ -433,4 +435,6 @@
 #define ACPI_IS_OCTAL_DIGIT(d)              (((char)(d) >= '0') && ((char)(d) <= '7'))
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* ACMACROS_H */
diff --git a/sys/contrib/dev/acpica/source/include/acnamesp.h b/sys/contrib/dev/acpica/source/include/acnamesp.h
index 9fd3841..a9c7d22 100644
--- a/sys/contrib/dev/acpica/source/include/acnamesp.h
+++ b/sys/contrib/dev/acpica/source/include/acnamesp.h
@@ -45,6 +45,8 @@
 #define __ACNAMESP_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /* To search the entire name space, pass this as SearchBase */
 
 #define ACPI_NS_ALL                 ((ACPI_HANDLE)0)
@@ -535,4 +537,6 @@ void
 AcpiNsTerminate (
     void);
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACNAMESP_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acobject.h b/sys/contrib/dev/acpica/source/include/acobject.h
index 654ec82..040f5b6 100644
--- a/sys/contrib/dev/acpica/source/include/acobject.h
+++ b/sys/contrib/dev/acpica/source/include/acobject.h
@@ -44,6 +44,8 @@
 #ifndef _ACOBJECT_H
 #define _ACOBJECT_H
 
+#pragma pack(push) /* Set default struct packing */
+
 /* acpisrc:StructDefs -- for acpisrc conversion */
 
 
@@ -581,6 +583,6 @@ typedef union acpi_descriptor
 
 } ACPI_DESCRIPTOR;
 
-#pragma pack()
+#pragma pack(pop) /* Restore original struct packing */
 
 #endif /* _ACOBJECT_H */
diff --git a/sys/contrib/dev/acpica/source/include/acoutput.h b/sys/contrib/dev/acpica/source/include/acoutput.h
index 67a3798..fd4e427 100644
--- a/sys/contrib/dev/acpica/source/include/acoutput.h
+++ b/sys/contrib/dev/acpica/source/include/acoutput.h
@@ -44,6 +44,8 @@
 #ifndef __ACOUTPUT_H__
 #define __ACOUTPUT_H__
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * Debug levels and component IDs. These are used to control the
  * granularity of the output of the ACPI_DEBUG_PRINT macro -- on a
@@ -468,4 +470,6 @@
 #endif /* ACPI_DEBUG_OUTPUT */
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACOUTPUT_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acparser.h b/sys/contrib/dev/acpica/source/include/acparser.h
index bddd3c1..74389d2 100644
--- a/sys/contrib/dev/acpica/source/include/acparser.h
+++ b/sys/contrib/dev/acpica/source/include/acparser.h
@@ -46,6 +46,8 @@
 #define __ACPARSER_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 #define OP_HAS_RETURN_VALUE             1
 
 /* Variable number of arguments. This field must be 32 bits */
@@ -353,4 +355,6 @@ AcpiPsShow (
     ACPI_PARSE_OBJECT       *op);
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACPARSER_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acpiosxf.h b/sys/contrib/dev/acpica/source/include/acpiosxf.h
index ebbcb6b..a97921e 100644
--- a/sys/contrib/dev/acpica/source/include/acpiosxf.h
+++ b/sys/contrib/dev/acpica/source/include/acpiosxf.h
@@ -50,6 +50,8 @@
 #include "actypes.h"
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /* Types for AcpiOsExecute */
 
 typedef enum
@@ -551,4 +553,6 @@ AcpiOsCloseDirectory (
 #endif
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACPIOSXF_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acpixf.h b/sys/contrib/dev/acpica/source/include/acpixf.h
index d168353..a88491f 100644
--- a/sys/contrib/dev/acpica/source/include/acpixf.h
+++ b/sys/contrib/dev/acpica/source/include/acpixf.h
@@ -47,13 +47,15 @@
 
 /* Current ACPICA subsystem version in YYYYMMDD format */
 
-#define ACPI_CA_VERSION                 0x20140114
+#define ACPI_CA_VERSION                 0x20140214
 
 #include "acconfig.h"
 #include "actypes.h"
 #include "actbl.h"
 #include "acbuffer.h"
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * Globals that are publically available
  */
@@ -70,7 +72,7 @@ extern UINT32               AcpiDbgLayer;
 
 /* ACPICA runtime options */
 
-extern UINT8                AcpiGbl_AllMethodsSerialized;
+extern UINT8                AcpiGbl_AutoSerializeMethods;
 extern UINT8                AcpiGbl_CopyDsdtLocally;
 extern UINT8                AcpiGbl_CreateOsiMethod;
 extern UINT8                AcpiGbl_DisableAutoRepair;
@@ -831,4 +833,6 @@ AcpiDebugPrintRaw (
     ...);
 #endif
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACXFACE_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acpredef.h b/sys/contrib/dev/acpica/source/include/acpredef.h
index 1de9888..b8b7599 100644
--- a/sys/contrib/dev/acpica/source/include/acpredef.h
+++ b/sys/contrib/dev/acpica/source/include/acpredef.h
@@ -45,11 +45,13 @@
 #define __ACPREDEF_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /******************************************************************************
  *
  * Return Package types
  *
- * 1) PTYPE1 packages do not contain sub-packages.
+ * 1) PTYPE1 packages do not contain subpackages.
  *
  * ACPI_PTYPE1_FIXED: Fixed-length length, 1 or 2 object types:
  *      object type
@@ -64,8 +66,8 @@
  *      (Used for _PRW)
  *
  *
- * 2) PTYPE2 packages contain a Variable-length number of sub-packages. Each
- *    of the different types describe the contents of each of the sub-packages.
+ * 2) PTYPE2 packages contain a Variable-length number of subpackages. Each
+ *    of the different types describe the contents of each of the subpackages.
  *
  * ACPI_PTYPE2: Each subpackage contains 1 or 2 object types. Zero-length
  *      parent package is allowed:
@@ -554,7 +556,7 @@ const ACPI_PREDEFINED_INFO          AcpiGbl_PredefinedMethods[] =
 
     /*
      * For _HPX, a single package is returned, containing a variable-length number
-     * of sub-packages. Each sub-package contains a PCI record setting.
+     * of subpackages. Each subpackage contains a PCI record setting.
      * There are several different type of record settings, of different
      * lengths, but all elements of all settings are Integers.
      */
@@ -684,6 +686,12 @@ const ACPI_PREDEFINED_INFO          AcpiGbl_PredefinedMethods[] =
                 METHOD_RETURNS (ACPI_RTYPE_PACKAGE)}}, /* Variable-length (Refs) */
                     PACKAGE_INFO (ACPI_PTYPE1_VAR, ACPI_RTYPE_REFERENCE, 0,0,0,0),
 
+    {{"_PRP",   METHOD_0ARGS,
+                METHOD_RETURNS (ACPI_RTYPE_PACKAGE)}}, /* Variable-length (Pkgs) each: 1 Str, 1 Int/Str/Pkg */
+                    PACKAGE_INFO (ACPI_PTYPE2, ACPI_RTYPE_STRING, 1,
+                        ACPI_RTYPE_INTEGER | ACPI_RTYPE_STRING |
+                        ACPI_RTYPE_PACKAGE | ACPI_RTYPE_REFERENCE, 1,0),
+
     {{"_PRS",   METHOD_0ARGS,
                 METHOD_RETURNS (ACPI_RTYPE_BUFFER)}},
 
@@ -1061,4 +1069,6 @@ static const ACPI_PREDEFINED_INFO      AcpiGbl_ScopeNames[] = {
 extern const ACPI_PREDEFINED_INFO      AcpiGbl_ResourceNames[];
 #endif
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif
diff --git a/sys/contrib/dev/acpica/source/include/acresrc.h b/sys/contrib/dev/acpica/source/include/acresrc.h
index f761d3f..5f658a6 100644
--- a/sys/contrib/dev/acpica/source/include/acresrc.h
+++ b/sys/contrib/dev/acpica/source/include/acresrc.h
@@ -49,6 +49,8 @@
 #include "amlresrc.h"
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * If possible, pack the following structures to byte alignment, since we
  * don't care about performance for debug output. Two cases where we cannot
@@ -437,4 +439,6 @@ extern ACPI_RSDUMP_INFO         AcpiRsDumpUartSerialBus[];
 extern ACPI_RSDUMP_INFO         AcpiRsDumpGeneralFlags[];
 #endif
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif  /* __ACRESRC_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acrestyp.h b/sys/contrib/dev/acpica/source/include/acrestyp.h
index b0412aa..eaea437 100644
--- a/sys/contrib/dev/acpica/source/include/acrestyp.h
+++ b/sys/contrib/dev/acpica/source/include/acrestyp.h
@@ -45,6 +45,8 @@
 #define __ACRESTYP_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * Definitions for Resource Attributes
  */
@@ -697,4 +699,6 @@ typedef struct acpi_pci_routing_table
 
 } ACPI_PCI_ROUTING_TABLE;
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACRESTYP_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acstruct.h b/sys/contrib/dev/acpica/source/include/acstruct.h
index 5d2f4a0..c52db8f 100644
--- a/sys/contrib/dev/acpica/source/include/acstruct.h
+++ b/sys/contrib/dev/acpica/source/include/acstruct.h
@@ -44,6 +44,9 @@
 #ifndef __ACSTRUCT_H__
 #define __ACSTRUCT_H__
 
+
+#pragma pack(push) /* Set default struct packing */
+
 /* acpisrc:StructDefs -- for acpisrc conversion */
 
 /*****************************************************************************
@@ -139,6 +142,9 @@ typedef struct acpi_init_walk_info
     UINT32                          TableIndex;
     UINT32                          ObjectCount;
     UINT32                          MethodCount;
+    UINT32                          SerialMethodCount;
+    UINT32                          NonSerialMethodCount;
+    UINT32                          SerializedMethodCount;
     UINT32                          DeviceCount;
     UINT32                          OpRegionCount;
     UINT32                          FieldCount;
@@ -267,4 +273,6 @@ typedef struct acpi_walk_info
 #define ACPI_DISPLAY_SHORT          (UINT8) 2
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif
diff --git a/sys/contrib/dev/acpica/source/include/actables.h b/sys/contrib/dev/acpica/source/include/actables.h
index 4f006c1..19f4e6d 100644
--- a/sys/contrib/dev/acpica/source/include/actables.h
+++ b/sys/contrib/dev/acpica/source/include/actables.h
@@ -45,6 +45,8 @@
 #define __ACTABLES_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 ACPI_STATUS
 AcpiAllocateRootTable (
     UINT32                  InitialTableCount);
@@ -194,4 +196,6 @@ ACPI_STATUS
 AcpiTbParseRootTable (
     ACPI_PHYSICAL_ADDRESS   RsdpAddress);
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACTABLES_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/actbl.h b/sys/contrib/dev/acpica/source/include/actbl.h
index 8f5917c..980529e 100644
--- a/sys/contrib/dev/acpica/source/include/actbl.h
+++ b/sys/contrib/dev/acpica/source/include/actbl.h
@@ -45,6 +45,8 @@
 #define __ACTBL_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*******************************************************************************
  *
  * Fundamental ACPI tables
@@ -440,4 +442,6 @@ typedef struct acpi_table_desc
 #define ACPI_FADT_V3_SIZE       (UINT32) (ACPI_FADT_OFFSET (SleepControl))
 #define ACPI_FADT_V5_SIZE       (UINT32) (sizeof (ACPI_TABLE_FADT))
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACTBL_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/actbl1.h b/sys/contrib/dev/acpica/source/include/actbl1.h
index ace4da9..bd2df95 100644
--- a/sys/contrib/dev/acpica/source/include/actbl1.h
+++ b/sys/contrib/dev/acpica/source/include/actbl1.h
@@ -45,6 +45,8 @@
 #define __ACTBL1_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*******************************************************************************
  *
  * Additional ACPI Tables (1)
@@ -1141,8 +1143,6 @@ typedef struct acpi_srat_x2apic_cpu_affinity
 #define ACPI_SRAT_CPU_ENABLED       (1)         /* 00: Use affinity structure */
 
 
-/* Reset to default packing */
-
-#pragma pack()
+#pragma pack(pop) /* Restore original struct packing */
 
 #endif /* __ACTBL1_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/actbl2.h b/sys/contrib/dev/acpica/source/include/actbl2.h
index ae46ad8..514ecb0 100644
--- a/sys/contrib/dev/acpica/source/include/actbl2.h
+++ b/sys/contrib/dev/acpica/source/include/actbl2.h
@@ -45,6 +45,8 @@
 #define __ACTBL2_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*******************************************************************************
  *
  * Additional ACPI Tables (2)
@@ -1416,8 +1418,6 @@ typedef struct acpi_table_wdrt
 } ACPI_TABLE_WDRT;
 
 
-/* Reset to default packing */
-
-#pragma pack()
+#pragma pack(pop) /* Restore original struct packing */
 
 #endif /* __ACTBL2_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/actbl3.h b/sys/contrib/dev/acpica/source/include/actbl3.h
index ce69acd..1afc341 100644
--- a/sys/contrib/dev/acpica/source/include/actbl3.h
+++ b/sys/contrib/dev/acpica/source/include/actbl3.h
@@ -45,6 +45,8 @@
 #define __ACTBL3_H__
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*******************************************************************************
  *
  * Additional ACPI Tables (3)
@@ -732,8 +734,6 @@ typedef struct acpi_tpm2_control
 } ACPI_TPM2_CONTROL;
 
 
-/* Reset to default packing */
-
-#pragma pack()
+#pragma pack(pop) /* Restore original struct packing */
 
 #endif /* __ACTBL3_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/actypes.h b/sys/contrib/dev/acpica/source/include/actypes.h
index 4a6e492..1fa6c69 100644
--- a/sys/contrib/dev/acpica/source/include/actypes.h
+++ b/sys/contrib/dev/acpica/source/include/actypes.h
@@ -44,6 +44,8 @@
 #ifndef __ACTYPES_H__
 #define __ACTYPES_H__
 
+#pragma pack(push) /* Set default struct packing */
+
 /* acpisrc:StructDefs -- for acpisrc conversion */
 
 /*
@@ -1315,4 +1317,6 @@ typedef struct acpi_memory_list
 #define ACPI_OSI_WIN_8                  0x0C
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __ACTYPES_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/acutils.h b/sys/contrib/dev/acpica/source/include/acutils.h
index c115c24..355e575 100644
--- a/sys/contrib/dev/acpica/source/include/acutils.h
+++ b/sys/contrib/dev/acpica/source/include/acutils.h
@@ -45,6 +45,8 @@
 #define _ACUTILS_H
 
 
+#pragma pack(push) /* Set default struct packing */
+
 extern const UINT8                      AcpiGbl_ResourceAmlSizes[];
 extern const UINT8                      AcpiGbl_ResourceAmlSerialBusSizes[];
 
@@ -1099,4 +1101,7 @@ AcpiUtMethodError (
     const char              *Path,
     ACPI_STATUS             LookupStatus);
 
+
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* _ACUTILS_H */
diff --git a/sys/contrib/dev/acpica/source/include/amlcode.h b/sys/contrib/dev/acpica/source/include/amlcode.h
index bc8c0b0..0695185 100644
--- a/sys/contrib/dev/acpica/source/include/amlcode.h
+++ b/sys/contrib/dev/acpica/source/include/amlcode.h
@@ -46,6 +46,9 @@
 #ifndef __AMLCODE_H__
 #define __AMLCODE_H__
 
+#pragma pack(push) /* Set default struct packing */
+
+
 /* primary opcodes */
 
 #define AML_NULL_CHAR               (UINT16) 0x00
@@ -509,4 +512,6 @@ typedef enum
 #define AML_METHOD_SYNC_LEVEL       0xF0
 
 
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* __AMLCODE_H__ */
diff --git a/sys/contrib/dev/acpica/source/include/amlresrc.h b/sys/contrib/dev/acpica/source/include/amlresrc.h
index 23c4400..03b1317 100644
--- a/sys/contrib/dev/acpica/source/include/amlresrc.h
+++ b/sys/contrib/dev/acpica/source/include/amlresrc.h
@@ -47,6 +47,8 @@
 #define __AMLRESRC_H
 
 
+#pragma pack(push) /* Set default struct packing */
+
 /*
  * Resource descriptor tags, as defined in the ACPI specification.
  * Used to symbolically reference fields within a descriptor.
@@ -574,4 +576,7 @@ typedef union aml_resource
 
 } AML_RESOURCE;
 
+
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif
diff --git a/sys/contrib/dev/acpica/source/os_specific/service_layers/oswindir.c b/sys/contrib/dev/acpica/source/os_specific/service_layers/oswindir.c
index 3ed1aa9..713bc2a 100644
--- a/sys/contrib/dev/acpica/source/os_specific/service_layers/oswindir.c
+++ b/sys/contrib/dev/acpica/source/os_specific/service_layers/oswindir.c
@@ -106,6 +106,7 @@ AcpiOsOpenDirectory (
     if (!FullWildcardSpec)
     {
         printf ("Could not allocate buffer for wildcard pathname\n");
+        free (SearchInfo);
         return (NULL);
     }
 
diff --git a/sys/contrib/dev/acpica/source/os_specific/service_layers/oswinxf.c b/sys/contrib/dev/acpica/source/os_specific/service_layers/oswinxf.c
index a1a073a..ebb007e 100644
--- a/sys/contrib/dev/acpica/source/os_specific/service_layers/oswinxf.c
+++ b/sys/contrib/dev/acpica/source/os_specific/service_layers/oswinxf.c
@@ -238,10 +238,6 @@ AcpiOsTableOverride (
     ACPI_TABLE_HEADER       *ExistingTable,
     ACPI_TABLE_HEADER       **NewTable)
 {
-#ifdef ACPI_ASL_COMPILER
-    ACPI_STATUS             Status;
-    ACPI_PHYSICAL_ADDRESS   Address;
-#endif
 
     if (!ExistingTable || !NewTable)
     {
@@ -258,29 +254,6 @@ AcpiOsTableOverride (
     AeTableOverride (ExistingTable, NewTable);
 #endif
 
-
-#ifdef ACPI_ASL_COMPILER
-
-    /* Attempt to get the table from the registry */
-
-    /* Construct a null-terminated string from table signature */
-
-    ACPI_MOVE_NAME (TableName, ExistingTable->Signature);
-    TableName[ACPI_NAME_SIZE] = 0;
-
-    Status = AcpiOsGetTableByName (TableName, 0, NewTable, &Address);
-    if (ACPI_SUCCESS (Status))
-    {
-        AcpiOsPrintf ("Table [%s] obtained from registry, %u bytes\n",
-            TableName, (*NewTable)->Length);
-    }
-    else
-    {
-        AcpiOsPrintf ("Could not read table %s from registry (%s)\n",
-            TableName, AcpiFormatException (Status));
-    }
-#endif
-
     return (AE_OK);
 }
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
index c27338d..5f65795 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
@@ -63,6 +63,8 @@
 #include <string.h>
 #include <signal.h>
 
+#pragma pack(push) /* Set default struct packing */
+
 extern BOOLEAN              AcpiGbl_IgnoreErrors;
 extern UINT8                AcpiGbl_RegionFillValue;
 extern UINT8                AcpiGbl_UseHwReducedFadt;
@@ -196,4 +198,7 @@ AeGlobalEventHandler (
     UINT32                  EventNumber,
     void                    *Context);
 
+
+#pragma pack(pop) /* Restore original struct packing */
+
 #endif /* _AECOMMON */
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
index e76e7b9..4bf11cc 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aeexec.c
@@ -287,7 +287,7 @@ AeTestPackageArgument (
     PkgElements[3].Package.Count = 2;
     PkgElements[3].Package.Elements = Pkg2Elements;
 
-    /* Sub-package elements */
+    /* Subpackage elements */
 
     Pkg2Elements[0].Type = ACPI_TYPE_INTEGER;
     Pkg2Elements[0].Integer.Value = 0xAAAABBBB;
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aemain.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aemain.c
index 165e512..3aa9343 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aemain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aemain.c
@@ -126,13 +126,13 @@ usage (
     ACPI_OPTION ("-di",                 "Disable execution of STA/INI methods during init");
     ACPI_OPTION ("-do",                 "Disable Operation Region address simulation");
     ACPI_OPTION ("-dr",                 "Disable repair of method return values");
+    ACPI_OPTION ("-ds",                 "Disable method auto-serialization");
     ACPI_OPTION ("-dt",                 "Disable allocation tracking (performance)");
     printf ("\n");
 
     ACPI_OPTION ("-ef",                 "Enable display of final memory statistics");
     ACPI_OPTION ("-ei",                 "Enable additional tests for ACPICA interfaces");
     ACPI_OPTION ("-el",                 "Enable loading of additional test tables");
-    ACPI_OPTION ("-em",                 "Enable Interpreter Serialized Mode");
     ACPI_OPTION ("-es",                 "Enable Interpreter Slack Mode");
     ACPI_OPTION ("-et",                 "Enable debug semaphore timeout");
     printf ("\n");
@@ -204,6 +204,11 @@ AeDoOptions (
             AcpiGbl_DisableAutoRepair = TRUE;
             break;
 
+        case 's':
+
+            AcpiGbl_AutoSerializeMethods = FALSE;
+            break;
+
         case 't':
 
             #ifdef ACPI_DBG_TRACK_ALLOCATIONS
@@ -239,12 +244,6 @@ AeDoOptions (
             AcpiGbl_LoadTestTables = TRUE;
             break;
 
-        case 'm':
-
-            AcpiGbl_AllMethodsSerialized = TRUE;
-            printf ("Enabling AML Interpreter serialized mode\n");
-            break;
-
         case 's':
 
             AcpiGbl_EnableInterpreterSlack = TRUE;
diff --git a/sys/dev/acpica/acpi.c b/sys/dev/acpica/acpi.c
index 17f4b99..e76ac7c 100644
--- a/sys/dev/acpica/acpi.c
+++ b/sys/dev/acpica/acpi.c
@@ -228,14 +228,12 @@ SYSCTL_STRING(_debug_acpi, OID_AUTO, acpi_ca_version, CTLFLAG_RD,
 	      acpi_ca_version, 0, "Version of Intel ACPI-CA");
 
 /*
- * Allow override of whether methods execute in parallel or not.
- * Enable this for serial behavior, which fixes "AE_ALREADY_EXISTS"
- * errors for AML that really can't handle parallel method execution.
- * It is off by default since this breaks recursive methods and
- * some IBMs use such code.
+ * Disable the control method auto-serialization mechanism that was added
+ * in 20140214 and superseded the previous AcpiGbl_SerializeAllMethods
+ * option.
  */
-static int acpi_serialize_methods;
-TUNABLE_INT("hw.acpi.serialize_methods", &acpi_serialize_methods);
+static int acpi_auto_serialize_methods = 1;
+TUNABLE_INT("hw.acpi.auto_serialize_methods", &acpi_auto_serialize_methods);
 
 /* Power devices off and on in suspend and resume.  XXX Remove once tested. */
 static int acpi_do_powerstate = 1;
@@ -446,7 +444,7 @@ acpi_attach(device_t dev)
      * Set the globals from our tunables.  This is needed because ACPI-CA
      * uses UINT8 for some values and we have no tunable_byte.
      */
-    AcpiGbl_AllMethodsSerialized = acpi_serialize_methods;
+    AcpiGbl_AutoSerializeMethods = acpi_auto_serialize_methods;
     AcpiGbl_EnableInterpreterSlack = TRUE;
 
     /* Start up the ACPI CA subsystem. */
-- 
1.8.5.2

